Available in VPC
Delete an SNI-based multi-TLS certificate from a load balancer.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /vloadbalancer/v2/removeLoadBalancerListenerCertificate |
Request headers
For information about the headers common to all Load Balancer APIs, see Load Balancer request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the load balancer whose certificate you want to remove
|
loadBalancerListenerNo |
String | Required | Number of the load balancer listener |
sslCertificateNo |
String | Required | SSL certificate number
|
responseFormatType |
String | Optional | Response result format
|
Request example
The following is a sample request.
curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/removeLoadBalancerListenerCertificate?loadBalancerListenerNo=******&sslCertificateNo=*****' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response body
See loadBalancerListenerCertificateList for the response body.
Response status codes
For information about the HTTP status codes common to all Load Balancer APIs, see Load Balancer response status codes.
Response example
The following is a sample response.
<removeLoadBalancerListenerCertificateResponse>
<requestId></requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
<totalRows>1</totalRows>
<loadBalancerListenerCertificateList>
<loadBalancerListenerCertificate>
<sslCertificateNo>*****</sslCertificateNo>
<memberNo>*******</memberNo>
<sslCertificateName>YOUR_CERTIFICATE</sslCertificateName>
<domainAddress>***.com</domainAddress>
<validEndDate>2025-06-20 20:59:59</validEndDate>
<isDefault>true</isDefault>
<statusCode>1</statusCode>
<statusName>Normal</statusName>
</loadBalancerListenerCertificate>
</loadBalancerListenerCertificateList>
</removeLoadBalancerListenerCertificateResponse>